<?php
session_start();  
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  $id_cd=$sesion->id;
  $ok=0;
  extract($_POST);
  $pedido=$trans;
  
  echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
  
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat, cdentrega, statusentrega, tipostr_idtipostr from transacciones where idtransacciones=$pedido";
   $cp4 = mysqli_query($conexion, $qp4) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp4 = mysqli_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;
	$entrega = $rp4->cdentrega;	
	$status = $rp4->statusentrega;
	$tiponota = $rp4->tipostr_idtipostr;  
  

$qp42 = "select cantidad, puntos, efectivo, deposito, tarjeta, regalias, voucher, porpagar, inversionista_id_inver, tipostr_idtipostr from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where transacciones.idtransacciones=$pedido";
   $cp42 = mysqli_query($conexion, $qp42) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp42 = mysqli_fetch_object($cp42);	
	$pagado = $rp42->cantidad;
	$puntos = $rp42->puntos;		
	$efectivo = $rp42->efectivo;	
	$deposito = $rp42->deposito;
	$regalias = $rp42->regalias;	
	$voucher = $rp42->voucher;		
	$tarjeta = $rp42->tarjeta;	
	$porpagar = $rp42->porpagar;	
	$id_inv = $rp42->inversionista_id_inver;
	$tipon = $rp42->tipostr_idtipostr;

if($pago==5){
   $qDG1="SELECT apagar from regs2 where idreg=$regs";
              $cDG1 = mysqli_query($conexion, $qDG1) or die ('Error en regalias favor de intentar nuevamente ' . mysqli_error($conexion));
              while($rDG1 = mysqli_fetch_row($cDG1))
               {
                $cantreg = $rDG1[0];

               };}
		if($pago==6){	   $qa1 = "SELECT id_inver, rfc, nombre, appat, apmat, restante  FROM inversionista join voucher on inversionista.id_inver=voucher.id_inv WHERE voucher.idv = '".$voucher."'";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error voucher no encontrado : ' . mysqli_error($conexion));
   if(mysqli_affected_rows($conexion))
   {
    $ra1 = mysqli_fetch_object($ca1);
    
    $rfcv = $ra1->rfc;
    $nombrev = $ra1->nombre;
    $apatv = $ra1->appat;
    $amatv = $ra1->apmat;
    $restov = $ra1->restante;}}
	
if($porpagar==0){
	echo"<br><br><BR><center><font color=\"#000099\" size=\"+2\"><b>Abono a Pedido</b></font><br><br>Este pedido no cuenta con saldo pendiente ";
}
else{

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Abono a Pedidos</b></font><br><br>
Realizado el d&iacute;a $lafecha $eldia a las $lahora<br>
<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<tr align=\"center\" bgcolor=\"#594106\">
<td><font color=\"#FFFFFF\"><b>No. Pedido $elvta"."-"."$consec</b></font></td>
<td><font color=\"#FFFFFF\"><b> Transacci&oacute;n $pedido </b></font></td>
</tr>
</table>
<br>";
if($tipon==6){
	
			$qDG="SELECT nombrec, concepto, autoriza FROM otrasal WHERE idtransacciones = '".$pedido."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$nombrec = $rDG[0];
		    	$concepto = $rDG[1];
		    	$autoriza = $rDG[2];
		    	
		   	};
	echo"Nombre: <b>$nombrec</b><br>concepto: <b>$concepto</b><br>Autoriz&oacute;: <b>$autoriza</b>";
	
}else{

			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};


echo"Nombre: $dg_nom $dg_apP $dg_apM <b> $dg_rfc</b>";

}


echo"<br><br>Descripci&oacute;n del pago: $restov<br>

<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
<tr align=\"center\"><td>$ $pagado</td><td>$puntos</td><td>$ $efectivo</td><td>$ $deposito</td><td>$ $tarjeta</td><td>$regalias</td><td>$voucher</td><td>$porpagar</td></tr></table><br><br>


</form>";


		
	

switch($pago){
	case 1: echo"<b>Forma de pago:</b> Efectivo<img src=\"efect.gif\"><br><br>";; break;
					
	//Pagos con deposito en banco				
					case 2: 
					
					    
	     $qx2 = "SELECT * from bancos  WHERE idbanco=$banco";
  
  $cx2 = mysqli_query($conexion, $qx2) or die ('Error en la consultasese' . mysqli_error($conexion));
  
  for($i=0;$r1 = mysqli_fetch_row($cx2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
$nombrebanco=$a1." ".$a2;
	}

				
					echo"<b>Forma de pago:</b>  
					Deposito<img src=\"depositos.gif\"><br><br>";
			//verificar si se escribio numero de referencia		
			if($folio==NULL)
			//no se escribio
			{echo"<b>Es Necesario escribir una referencia para continuar<br>Favor de intentar nuevamente</b>"; $continuar=0;}
			//si se escribio
			else{echo"Banco:<b>$nombrebanco</b>&nbsp;&nbsp;&nbsp;&nbsp; Referencia: <b>$folio</b>&nbsp;&nbsp;&nbsp;&nbsp; 
			Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">
			<br><br>";}
			; break;
			
	//Pagos con tarjeta de credito		
					case 3: echo"
					<b>Forma de pago:</b> Tarjeta <img src=\"tarjetas.gif\"> <br><font color=\"#781313\"><b>  
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;*Aplica una comisi&oacute;n del 4 porciento*</b></font>
					<br><br>";; break;
					
	//				
					case 4: echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4.php\" method=\"post\">
					";
					if($autorizacion==autorizar()){echo"<b>Forma de pago:</b> Por Pagar <img src=\"codaut.gif\">
					<br><br>";}else{echo"<font size=\"5\" color=\"#660000\">El c&oacute;digo ha
					sido rechazado<br><br>Favor de intentar de nuevo o <br><br> Seleccionar otra forma de pago</font>"; $continuar=0;}
					; break;
					case 5: 
					if($cantreg<=0){$continuar=0; echo"<label style='color:#990000; font-size:20px; font-weight:bold'>No se encontro la informaci&oacute;n de las regalias<br>
					Favor de intentar nuevamente<br><br></label>";}else{
					echo"<b>Forma de pago:</b> 												    				Regal&iacute;as <img src=\"regspago.gif\"
					<br><br>Regal&iacute;as a ser aplicadas: No $regs Cantidad $cantreg<br><br>"; 
					if($cantreg<$apagar){$apagar=$cantreg;}}
					; break;
					
					
					case 6: 
					if($restov<=0){$continuar=0; echo"<label style='color:#990000; font-size:20px; font-weight:bold'>No se encontro la informaci&oacute;n del voucher<br>
					Favor de intentar nuevamente<br><br></label>";}else{
					echo"<form name=\"Selec_Prod_Pedido\" action=\"inv_mens4v.php\" method=\"post\">
					<b>Forma de pago:</b> Voucher <img src=\"voucherpago.gif\"><br><br><label style='color:#5C3C12; font-size:20px; font-weight:bold'>Voucher $idv</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<label style='color:#5C3C12; font-size:18px; font-weight:bold'>Bueno por $ $restov</label>  <br>
       <font color=\"#990000\"> Los Vouchers son intransferibles, es necesario que el asociado<br>
       <b> $nombrev $apatv $amatv</b> haga esta transacci&oacute;n<br>
        o se cuente con una carta poder, de lo contrario no se generar&aacute;n puntos</font><br><br>";if($restov<$apagar){$apagar=$restov;}
					}
					; break;

	
	
	
	
	
	
	
}$restante=$porpagar-$apagar;
echo"<font color=\"red\" size=\"+1\"><b>Cantidad por pagar $ $porpagar</b></font>
<br><br>
<form name=\"busca\" action=\"abono_cta3.php\" method=\"post\"><font color=\"blue\" size=\"+1\"><b>Cantidad a abonar $ $apagar</b></font>
<br><BR><font color=\"green\" size=\"+1\"><b>Restante por pagar $ $restante</b></font>";


if ($tiponota==11){
echo "<br><br><center><b><font size=\"+3\">Asignaciones</b></font>"; 	
			
			
	 $qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver where nsalida=".$pedido."";

	  $cd1 = mysqli_query($conexion, $qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 

	   echo "
		
			
			
			<TABLE CellPadding=5 >
			<TR bgcolor=\"#ccdbfc\">";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>Cantidad</th>
				<th>Fecha</th><th></th>
			</TR>";
			
		
			while($renglon = mysqli_fetch_row($cd1))
			{
				echo"<form name=\"busca\" action=\"infoasig.php\" method=\"post\" target=\"_blank\"><input type=hidden name=ped value=$renglon[0] /><tr bgcolor=\"#e2ecff\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[5]."</td>";
				echo"<td>
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver mas\" /></td>";
				
			
			
			
							
				echo"</tr>";}
					
			echo "</table><br> 
				
			<br>";

}

  }//saldo pendiente
  
  ?>